<template>
    <div>
        <v-row>
            <v-col>
                <data-table
                    v-model="items"
                    endpoint="api/plans"
                    :title="$t('plan')"
                    :headers="headers"
                    :search-label="searchLabel"
                >
                    <template v-slot:buttons>
                        <v-btn
                            color="primary"
                            to="/plans/create"
                        >
                            <v-icon class="medium" color="white" left>mdi-plus</v-icon>
                            {{ $t('plan') }}
                        </v-btn>
                    </template>

                    <template v-slot:item="{ item, index }">
                        <tr>
                            <td>{{ item.name }}</td>
                            <td>{{ item.amount | currency }} MYR / {{ $t('month') }}</td>
                            <td>{{ item.purchase_amount | currency }} MYR</td>
                            <td>
                                <v-chip
                                    :color="item.enabled ? 'success' : 'error'"
                                    text-color="white"
                                    label
                                >
                                    {{ item.enabled ? $t('enabled') : $t('disabled') }}
                                </v-chip>
                            </td>
                            <td>
                                <v-menu
                                    :close-on-content-click="false"
                                    offset-y
                                    bottom
                                >
                                    <template v-slot:activator="{ on, attrs }">
                                        <v-btn
                                            color="primary"
                                            dark
                                            icon
                                            v-bind="attrs"
                                            v-on="on"
                                        >
                                            <v-icon>mdi-dots-horizontal</v-icon>
                                        </v-btn>
                                    </template>
                                    <v-list dense>
                                        <v-list-item>
                                            <v-btn
                                                :to="`/plans/edit/${item.id}`"
                                                class="text-capitalize"
                                                color="primary"
                                                text
                                                block
                                            >
                                                <v-icon left>mdi-pencil</v-icon>
                                                {{ $t('edit') }}
                                            </v-btn>
                                        </v-list-item>
                                    </v-list>
                                </v-menu>
                            </td>
                        </tr>
                    </template>
                </data-table>
            </v-col>
        </v-row>
    </div>
</template>

<script>
    import DataTable from "../DataTable";
    import util from "../../../mixins/util"

    export default {
        name: "Plan",
        components: { DataTable },
        mixins: [ util ],
        data: () => ({
            items: [],
            deleting: null,
            loading: false
        }),

        computed: {
            headers() {
                return [
                    { text: this.$t('name'), value: 'name', sortable: false },
                    { text: this.$t('amount'), value: 'amount', sortable: false },
                    { text: this.$t('purchase_amount'), value: 'purchase_amount', sortable: false },
                    { text: this.$t('status'), value: 'status', sortable: false },
                    { text: this.$t('action'), value: 'actions', sortable: false },
                ]
            },

            searchLabel() {
                return this.$t('search_using', {
                    field: this.$t('name')
                });
            },

            statuses() {
                return [
                    { text: this.$t('enabled'), value: 1 },
                    { text: this.$t('disabled'), value: 0 }
                ];
            }
        }
    }
</script>

<style scoped>
</style>
